'''
conda create -n voxelmorph -c conda-forge python simpleitk tensorflow-gpu
conda create -n voxelmorph -c conda-forge "python<3.11" simpleitk "tensorflow-gpu<2.16"
conda activate voxelmorph
pip install git+https://github.com/adalca/neurite.git git+https://github.com/freesurfer/surfa.git git+https://github.com/voxelmorph/voxelmorph.git

wget https://raw.githubusercontent.com/freesurfer/freesurfer/dev/mri_synthmorph/mri_synthmorph
wget https://surfer.nmr.mgh.harvard.edu/docs/synthmorph/synthmorph.affine.2.h5

export FREESURFER_HOME=/home/xfr/git9/Taipei-1/trials
time ./mri_synthmorph -m affine -t trans.lta '/mnt/1218/Public/dataset2/M6/ZYRGTRKJ/20230728/MR/3D_SAG_T1_MPRAGE_+C_MPR_Tra_20230728143005_14.nii.gz' clipped.nii.gz 


#### https://github.com/freesurfer/freesurfer/tree/dev/mri_synthmorph

conda create -n synthmorph -c conda-forge -c nvidia python=3.11 simpleitk tensorflow-gpu=2.17 cuda-nvcc
conda create -y -n synthmorph -c conda-forge -c nvidia python simpleitk tensorflow-gpu cuda-nvcc
conda activate synthmorph
pip install git+https://github.com/adalca/neurite.git git+https://github.com/freesurfer/surfa.git git+https://github.com/voxelmorph/voxelmorph.git
XLA_FLAGS=--xla_gpu_cuda_data_dir=/home/xfr/.conda/envs/synthmorph time ./mri_synthmorph -m affine -t trans.lta -o out-aff.nii.gz moving.nii.gz clipped.nii.gz -g
XLA_FLAGS=--xla_gpu_cuda_data_dir=/home/xfr/.conda/envs/synthmorph time ./mri_synthmorph -o out.nii.gz moving.nii.gz clipped.nii.gz -g

export FREESURFER_HOME=/mnt/1218/Public/packages/freesurfer-7.4.1
export FREESURFER_HOME=/mnt/1218/Public/packages/freesurfer-8.0.0-beta
source $FREESURFER_HOME/SetUpFreeSurfer.sh
time mri_synthmorph -m affine -t trans.lta -o out-aff.nii.gz moving.nii.gz clipped.nii.gz -g 

time mri_easyreg --ref clipped.nii.gz --flo moving.nii.gz



  ./cuda_sdk_lib
  /home/conda/feedstock_root/build_artifacts/tensorflow-split_1729095706337/_build_env/targets/x86_64-linux
  /usr/local/cuda
  /home/xfr/.conda/envs/synthmorph/lib/python3.11/site-packages/tensorflow/python/platform/../../../nvidia/cuda_nvcc
  /home/xfr/.conda/envs/synthmorph/lib/python3.11/site-packages/tensorflow/python/platform/../../../../nvidia/cuda_nvcc


Less than 10 seconds!!!
'''

fi = '/nn/7295866/20250127/nii/a_1.1_CyberKnife_head(MAR)_20250127111447_5.nii.gz'
mv = '/nn/7295866/20250127/nii/7_3D_SAG_T1_MPRAGE_+C_20250127132612_100.nii.gz'       

fi = '/mnt/1218/Public/dataset2/M6/ZYRGTRKJ/20230728/CT/1.1_CyberKnife_head(MAR)_20230728111920_3.nii.gz'
mv = '/mnt/1218/Public/dataset2/M6/ZYRGTRKJ/20230728/MR/3D_SAG_T1_MPRAGE_+C_MPR_Tra_20230728143005_14.nii.gz'

import shutil

import surfa as sf


ct = sf.load_volume(fi)
clipped = ct.clip(0, 80)
clipped.save('../clipped.nii.gz')

shutil.copy(mv, '../moving.nii.gz')


